Bug 113415 - Customizable "Get Help Online" and "Send Feedback" links in Help menu
Summary: Customizable "Get Help Online" and "Send Feedback" links in Help menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.2.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks: Help-Menu
  Show dependency treegraph
 
Reported: 2017-10-24 21:08 UTC by Gabor Kelemen
Modified: 2018-10-18 18:22 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-10-24 21:08:04 UTC
Currently we have hardcoded URLs for the Help -> Get Help Online and Send Feedback menu items, pointing to hub.libreoffice.org that takes users to the Askbot and the https://www.libreoffice.org/get-help/feedback page.

Now I'm in a situation where I'd like to customize these and centrally set up organization specific links so that:
- we could have localized and site specific help contents/training materials instead of the Askbot link
- and Feedback - or rather support requests - could be directed towards the company ticketing system / customer service.

These menu items have good visibility from users POV, but in case of managed workstations the community based support resources just don't cut it. 
This is why I'm requesting this enhancement.

Of course the default values of future configuration keys should be the current hard coded community resources.

Code pointers:
https://opengrok.libreoffice.org/search?project=core&q=&defs=&refs=SID_SEND_FEEDBACK&path=&hist=&type=
https://opengrok.libreoffice.org/search?project=core&q=&defs=&refs=SID_Q_AND_A&path=&hist=&type=
A similar option is already implemented for the Help -> About -> Website button:
https://opengrok.libreoffice.org/xref/core/cui/source/dialogs/about.cxx#118
Comment 1 Xisco Faulí 2017-12-26 07:06:14 UTC
Adding easyHack keywords as codepointers are provided
Comment 2 saran.chava143 2018-01-16 14:58:41 UTC
Hi!I am a newbie to bug fixing and I want an oppurtunity to work on this bug.
Comment 3 saran.chava143 2018-01-16 15:00:47 UTC
Hi!I am a newbie to bug fixing and I want an oppurtunity to work on this bug.
Comment 4 Ekansh Jha 2018-01-28 20:40:00 UTC
Hi, This looks intersting, I would like to work on this issue, but could you please brief it.

>Now I'm in a situation where I'd like to customize these and centrally set up
>organization specific links so that:
>- we could have localized and site specific help contents/training materials
>instead of the Askbot link
>- and Feedback - or rather support requests - could be directed towards the
>company ticketing system / customer service.
Comment 5 Heiko Tietze 2018-02-11 10:42:42 UTC
Saran, Ekansh: Gabor provided code pointers in comment 0, which direct you to the file where code needs to be changed and to a similar solution. The next step is seems pretty obvious :-)

Please assign the ticket to yourself ("take") if you want to work on it.
Comment 6 Xisco Faulí 2018-03-26 02:29:41 UTC Comment hidden (obsolete)
Comment 7 Gökhan Gurbetoğlu 2018-04-19 12:19:11 UTC
I am assigning this bug to myself to work on it.
Comment 8 Gökhan Gurbetoğlu 2018-04-19 15:46:09 UTC
While Gabor stated to make localized changes that also ignore the hub for some locales as I understand it, I would like make the necessary changes to redirect the user to their default locale's Get Help Online and Send Feedback pages. But looking at the code, we see that this change is there. So what is the next step for this bug?
Comment 9 Olivier Hallot 2018-04-19 17:26:39 UTC
IMHO, the links in appserv.cxx should come from an 'Expert configuration' entry in the Advanced configuration, e.g.

org.openoffice.xxxx.yyyy


avilable in Tools - Options - LibreOffice - Advanced - Expert configuration.

So appserv.cxx pick the link in the Expert config, which is set to the current hub.libreoffice.org as default.
Comment 10 Sophia Schroeder 2018-04-19 17:53:05 UTC
Some thoughts from cloph:

19:36:04 - cloph: if you want an additional codepointer: just look at some of the other URLs that a distro-provider could already override like https://opengrok.libreoffice.org/search?q=STARTCENTER_ADDFEATURE_URL&project=core
19:39:25 - cloph: (and to be clear: that replacement/placeholder should then be for hub.libreoffice.org, the URL-parameter will stay as is/the distro-provider would have to add corresponding mappings in their webserver then)
Comment 11 Xisco Faulí 2018-05-20 02:31:48 UTC Comment hidden (obsolete)
Comment 12 Gökhan Gurbetoğlu 2018-05-23 12:49:30 UTC
Hello Xisco, I am working on it. Thank you!
Comment 13 Xisco Faulí 2018-06-23 02:47:48 UTC Comment hidden (obsolete)
Comment 14 Xisco Faulí 2018-07-24 02:34:52 UTC Comment hidden (obsolete)
Comment 15 Gökhan Gurbetoğlu 2018-07-25 08:25:49 UTC
I am no longer working on the issue. Changing status to NEW.
Comment 16 Commit Notification 2018-10-18 18:17:32 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b2fdf08169fea536bc05e49bf63d70d6fdbfe31b

tdf#113415 - Customizable links in Help menu

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Heiko Tietze 2018-10-18 18:22:17 UTC
The URLs are now defined in Common.xcu and written to Tools > Options > Advanced > Expert configuration: org.openoffice.Office.Common.Menus.*URL